Page MenuHomePhabricator

RelatedArticles not displaying on desktop wikivoyage: Cannot read property 'getBucket' of undefined console error
Closed, ResolvedPublic0.5 Story Points

Description

Visit https://en.wikivoyage.org/wiki/Fukushima

Exception in module-execute in module ext.relatedArticles.readMore.eventLogging:
load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:177 TypeError: Cannot read property 'getBucket' of undefined TypeError: Cannot read property 'getBucket' of undefined
    at isEnabledForCurrentUser (eval at <anonymous> (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:4), <anonymous>:237:548)
    at eval (eval at <anonymous> (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:4), <anonymous>:237:691)
    at eval (eval at <anonymous> (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:4), <anonymous>:238:497)
    at Object.<anonymous> (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:162)
    at fire (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45)
    at Object.add [as done] (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45)
    at Object.always (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46)
    at runScript (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:162)
    at checkCssHandles (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:162)
    at execute (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:163)

To verify fix

Please visit https://en.wikivoyage.org/wiki/Fukushima and open up the console and verify you see an error now.
There should be no JavaScript errors after the deploy on Thursday morning.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2017, 7:34 PM
Jdlrobson renamed this task from Cannot read property 'getBucket' of undefined console error to RelatedArticles not displaying on desktop wikivoyage: Cannot read property 'getBucket' of undefined console error.Sep 5 2017, 7:36 PM

Change 376083 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/RelatedArticles@master] mediawiki.experiments is a dependency of RelatedArticles

https://gerrit.wikimedia.org/r/376083

Change 376083 merged by jenkins-bot:
[mediawiki/extensions/RelatedArticles@master] mediawiki.experiments is a dependency of RelatedArticles

https://gerrit.wikimedia.org/r/376083

This cannot easily be QAed or signed off as there is a race condition on wikivoyage.
We can verify it in production next Wednesday if necessary, otherwise we should attempt to verify it locally by loading ext.relatedArticles.readMore.bootstrap in the absence of anything loading mediawiki.experiments.

ovasileva triaged this task as Normal priority.Sep 6 2017, 5:08 PM
ovasileva set the point value for this task to 0.5.

There was talk in kick off about whether we want to SWAT this. Although we are only seeing this issue on Wikivoyage desktop, it theoretically could show up elsewhere.

...it theoretically could show up elsewhere.

And we wouldn't notice!

Jdlrobson updated the task description. (Show Details)Sep 7 2017, 5:54 PM
Jdlrobson assigned this task to Niedzielski.

Stephen would you mind signing this off since I'll be away on vacation (note the "verify fix" steps for now and later in the description)?

@Jdlrobson, .

I see an error now reproduced here for my own sanity later (note to self: tested in incognito; only took a couple tries; unable to repro when using debug=true):

13:03:45.354 load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:177 TypeError: Cannot read property 'getBucket' of undefined TypeError: Cannot read property 'getBucket' of undefined
    at isEnabledForCurrentUser (eval at <anonymous> (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:4), <anonymous>:390:548)
    at eval (eval at <anonymous> (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:4), <anonymous>:390:691)
    at eval (eval at <anonymous> (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:4), <anonymous>:391:497)
    at Object.<anonymous> (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:162)
    at fire (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45)
    at Object.add [as done] (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45)
    at Object.always (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46)
    at runScript (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:162)
    at checkCssHandles (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:162)
    at execute (load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:163)
logError @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:177
handler @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:155
fire @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
fire @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
track @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:155
(anonymous) @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:162
fire @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
add @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
always @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
runScript @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:162
checkCssHandles @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:162
execute @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:163
implement @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:169
(anonymous) @ VM82:390
(anonymous) @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:4
globalEval @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:4
(anonymous) @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:167
requestIdleCallback (async)
asyncEval @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:166
work @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:167
enqueue @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:164
load @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:171
(anonymous) @ Fukushima:10
startUp @ load.php?debug=false&lang=en&modules=startup&only=scripts&skin=vector:66
script.onload.script.onreadystatechange @ load.php?debug=false&lang=en&modules=startup&only=scripts&skin=vector:66
13:03:45.402 VM82:120 This page is using the deprecated ResourceLoader module "jquery.ui.core".
Please use "mediawiki.ui.button" or "oojs-ui" instead.
mw.loader.implement.css @ VM82:120
(anonymous) @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:162
fire @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
add @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
always @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
runScript @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:162
checkCssHandles @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:162
(anonymous) @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:163
fire @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
fire @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
fireCallbacks @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:157
addEmbeddedCSS @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:157
(anonymous) @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:157
requestAnimationFrame (async)
addEmbeddedCSS @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:157
execute @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:163
handlePending @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:159
markModuleReady @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:161
(anonymous) @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:162
fire @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
add @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
always @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
runScript @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:162
checkCssHandles @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:162
(anonymous) @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:163
fire @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:45
fireWith @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
fire @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:46
fireCallbacks @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:157
addEmbeddedCSS @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:157
(anonymous) @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:157
requestAnimationFrame (async)
addEmbeddedCSS @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:157
execute @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:163
implement @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:169
(anonymous) @ VM82:62
(anonymous) @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:4
globalEval @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:4
(anonymous) @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:167
requestIdleCallback (async)
asyncEval @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:166
work @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:167
enqueue @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:164
load @ load.php?debug=false&lang=en&modules=jquery%2Cmediawiki|mediawiki.legacy.wikibits&only=scripts&skin=vector&version=0ynbgde:171
(anonymous) @ Fukushima:10
startUp @ load.php?debug=false&lang=en&modules=startup&only=scripts&skin=vector:66
script.onload.script.onreadystatechange @ load.php?debug=false&lang=en&modules=startup&only=scripts&skin=vector:66

Just to make certain I haven't missed something crucial and time sensitive, I think Jon means for me to check this a week from today as:

  • According to the deployments page, v1.30.0-wmf.17 was deployed and the patch wasn't tagged (but the parent commit is).
  • Jon isn't on holiday until next week.

I've added a note on my calendar to check again next week.

Change should roll out in 1.30.0-wmf.18 which I think will be live on 13th.

My last day before vacation is tomorrow

Cool. I'll check Wednesday the 13th. (Have a great and restful vacation!)

The patch has been tagged v1.30.0-wmf.18 but
group 1 (Wikivoyage) is scheduled for tomorrow. I'll check then.

Niedzielski closed this task as Resolved.Sep 14 2017, 7:53 PM

This appears to be working properly now so I'm resolving this task.